image:
    name: hashicorp/terraform:light
    entrypoint:
      - "/usr/bin/env"
      - "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"

before_script:
    - cd vm-provision
    - rm -rf .terraform
    - terraform --version
    - terraform init -reconfigure

stages:
    - plan
    - apply
    - destroy

plan:
    stage: plan
    script:
        - terraform plan
    only:
        - branches

apply:
    stage: apply
    script:
        - terraform apply -auto-approve
    only:
        - branches

destroy:
    stage: destroy
    script:
        - terraform destroy -auto-approve
    when: manual
    only:
        - branches
